buffer_puts(3)

NAME
buffer_puts - write ASCIIZ string to buffer

SYNTAX
#include <libowfat/buffer.h>

int buffer_puts(buffer* b,const char* x);

DESCRIPTION
buffer_puts is like buffer_put with len determined as the number of bytes before the first \0 in x.

The difference to buffer_putsalign is that, when there isn't enough space for new data, buffer_puts calls buffer_flush before copying any data, while buffer_putsalign fills all available space with data before calling buffer_flush.

RETURN VALUE
buffer_puts returns 0 if everything was fine, -1 on error (setting errno).

SEE ALSO
buffer_putsalign(3), buffer_put(3), buffer_flush(3), buffer(3)